Package org.apache.sysds.runtime.compress.cost

# Class CostEstimatorBuilder

java.lang.Object
org.apache.sysds.runtime.compress.cost.CostEstimatorBuilder

All Implemented Interfaces:
  `Serializable`

public final class CostEstimatorBuilder extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CostEstimatorBuilder(InstructionTypeCounter counter)`
`CostEstimatorBuilder(WTreeRoot root)`

## Method Summary

Modifier and Type
Method
Description
`InstructionTypeCounter`
`getCounter()`
`boolean`
`shouldTryToCompress()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CostEstimatorBuilder

public CostEstimatorBuilder(WTreeRoot root)

### CostEstimatorBuilder

public CostEstimatorBuilder(InstructionTypeCounter counter)

## Method Details

### getCounter

public InstructionTypeCounter getCounter()

### shouldTryToCompress

public boolean shouldTryToCompress()

### toString

public String toString()

Overrides:
  `toString` in class `Object`